org.apache.sis.feature

## Enum FeatureFormat.Column

- Object
- - Enum<FeatureFormat.Column>
  - - FeatureFormat.Column

- All Implemented Interfaces:
    Serializable, Comparable<FeatureFormat.Column>
  Enclosing class:
    FeatureFormat

      public static enum FeatureFormat.Column
      extends Enum<FeatureFormat.Column>

  Identifies the columns to include in the table formatted by `FeatureFormat`. By default, all columns having at least one non-null value are shown. But a smaller set of columns can be specified to the `FeatureFormat​.setAllowedColumns(Set)` method for formatting narrower tables.
  Since:
    0.8
  See Also:
    `FeatureFormat​.setAllowedColumns(Set)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CARDINALITY` The minimum and maximum occurrences of attribute values.
    `CHARACTERISTICS` Other attributes that describes the attribute.
    `DESIGNATION` Natural language designator for the property.
    `NAME` Name of the property.
    `REMARKS` Whether a property is deprecated, or other remarks.
    `TYPE` Type of property values.
    `VALUE` Property value (for properties) or default value (for property types).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FeatureFormat.Column` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FeatureFormat.Column[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DESIGNATION

          public static final FeatureFormat.Column DESIGNATION

      Natural language designator for the property. This is the character sequence returned by `AbstractIdentifiedType​.getDesignation()`. This column is omitted if no property has a designation.

    - #### NAME

          public static final FeatureFormat.Column NAME

      Name of the property. This is the character sequence returned by `AbstractIdentifiedType​.getName()`.

    - #### TYPE

          public static final FeatureFormat.Column TYPE

      Type of property values. This is the type returned by `DefaultAttributeType​.getValueClass()` or `DefaultAssociationRole​.getValueType()`.

    - #### CARDINALITY

          public static final FeatureFormat.Column CARDINALITY

      The minimum and maximum occurrences of attribute values. This is made from the numbers returned by `DefaultAttributeType​.getMinimumOccurs()` and `DefaultAttributeType​.getMaximumOccurs()`.

    - #### VALUE

          public static final FeatureFormat.Column VALUE

      Property value (for properties) or default value (for property types). This is the value returned by `AbstractAttribute​.getValue()`, `AbstractAssociation​.getValue()` or `DefaultAttributeType​.getDefaultValue()`.

    - #### CHARACTERISTICS

          public static final FeatureFormat.Column CHARACTERISTICS

      Other attributes that describes the attribute. This is made from the map returned by `AbstractAttribute​.characteristics()`. This column is omitted if no property has characteristics.

    - #### REMARKS

          public static final FeatureFormat.Column REMARKS

      Whether a property is deprecated, or other remarks. This column is omitted if no property has remarks.

  - ### Method Detail

    - #### values

          public static FeatureFormat.Column[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FeatureFormat.Column c : FeatureFormat.Column.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FeatureFormat.Column valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.